FASTAQ-ADD_INDELS(1)

NAME
fastaq_add_indels - Deletes or inserts bases at given position(s)

DESCRIPTION
usage: fastaq_add_indels [options] <infile> <outfile>

Deletes or inserts bases at given position(s)

  positional arguments:

infile
    Name of input file

outfile
    Name of output file

  options:

-h, --help
    show this help message and exit

-d, --delete Name:start:bases
    Delete the given bases from the given sequence. Format same as samtools view: name:start-end. This option can be used multiple times (once for each region to delete). Overlapping coords will be merged before deleting

--delete_range P,start,step
    Deletes bases starting at position P in each sequence of the input file. Deletes start + (n-1)*step bases from sequence n.

-i, --insert Name:start:bases
    Insert a random string of bases at the given position. Format is name:position:number_to_add. Bases are added after the position. This option can be used multiple times

--insert_range P,start,step
    Inserts random bases starting after position P in each sequence of the input file. Inserts start + (n-1)*step bases into sequence n.